=== debian/changelog ===
aiccu (20070115-15.1ubuntu1) quantal; urgency=low

  * Merge with Debian; remaining changes:
    - debian/aiccu.upstart: add upstart configuration.
    - Add apport hook for /var/log/aiccu.log.
    - Remove personal data (username, password, tunnel_id) in apport-reports.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Oct 2012 14:31:58 +0200

aiccu (20070115-15.1) unstable; urgency=low

  * Non-maintainer upload
  * Remove quilt usage from source format 3.0 package. Fixes FTBFS on
    kfreebsd. (Closes: #667755)
    + Remove no more needed build-dependency on quilt and README.source
  * Add Danish translation of debconf templates by Joe Hansen (Closes:
    #670971)

 -- Axel Beckert <abe@debian.org>  Sun, 01 Jul 2012 00:06:34 +0200

aiccu (20070115-15ubuntu3) quantal; urgency=low

  * upstart-script did not honour default server tic.sixxs.net
    (LP: #1007408)

 -- Lars Duesing <lars.duesing@camelotsweb.de>  Fri, 15 Jun 2012 11:58:43 +0200

aiccu (20070115-15ubuntu2) quantal; urgency=low

  * Add apport hook for /var/log/aiccu.log (LP: #1001432)
  * Remove personal data (username, password, tunnel_id) in apport-reports

 -- Lars Duesing <lars.duesing@camelotsweb.de>  Sun, 10 Jun 2012 10:34:01 +0200

aiccu (20070115-15ubuntu1) quantal; urgency=low

  * Merge from current Debian sid. Remaining changes:
    - debian/aiccu.upstart: add upstart configuration.

 -- Lars Duesing <lars.duesing@camelotsweb.de>  Fri, 01 Jun 2012 09:57:52 +0200

aiccu (20070115-15) unstable; urgency=low

  * Upgraded standards-version to 3.9.3
  * Fix "fix for kfreebsd-* dependencies" Updated control file (Closes: #634102)
  * Fix "please enable hardening options" Enabled all hardening options 
    (Closes: #644408)
  * Lintian clean
    - Remove postrm.debhelper
    - Make non-executable debian/changelog debian/control
    - Add description to patch/09_binutils_gold.patch

 -- Reinier Haasjes <reinier@haasjes.com>  Mon, 26 Mar 2012 12:54:54 +0200

aiccu (20070115-14.1ubuntu3) precise; urgency=low

  [ Lars Duesing ]
  * Switch back to using "daemonize true" (LP: #970054):
    - d/patches/10_upstart.patch: Dropped - no longer required.
    - d/aiccu.upstart: check configuration for aiccu to daemonize itself.

  [ James Page ]
  * d/aiccu.upstart: Added check to ensure that server configuration has
    been specified before trying to check access. 

 -- Lars Duesing <lars.duesing@camelotsweb.de>  Mon, 02 Apr 2012 11:40:44 +0200

aiccu (20070115-14.1ubuntu2) precise; urgency=low

  * debian/aiccu.upstart:
    - Use pre-start, post-stop scripts to start and stop aiccu as upstart
      cannot track aiccu in any meaningful way (LP: #967090).
    - Check access to IPv6 endpoint before starting aiccu to avoid race
      conditions with local DNS services (LP: #967095). 
      Thanks to Lars Düsing for this fix.
    - Updated start on stanza to include local-filesystems.
    - General tidy of upstart configuration including placing logfile in
      /var/log and generating log entry timestamps.

 -- James Page <james.page@ubuntu.com>  Fri, 30 Mar 2012 12:50:10 +0100

aiccu (20070115-14.1ubuntu1) precise; urgency=low

  * Fix race between DHCP setup and aiccu start by using an event-triggered
    upstart script instead of init.d (LP: #223825)

 -- Lars Duesing <lars.duesing@camelotsweb.de>  Wed, 29 Feb 2012 08:41:59 +0100

aiccu (20070115-14.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "/etc/pm/sleep.d/60aiccu hook may cause unacceptable resume delays":
    check if aiccu is enabled in /etc/default/aiccu and running before trying
    to ping/restart.
    (Closes: #610332)
  * Fix "Does not compile with ld.gold": add patch from Ubuntu /
    Tarun Kumar Mall:
    - debian/patches/09_binutils_gold.patch:
      + patch changes unix-console/Makefile to fix FTBFS. (LP: #726121)
    (Closes: #615897)

 -- gregor herrmann <gregoa@debian.org>  Wed, 01 Feb 2012 21:46:24 +0100

aiccu (20070115-14) unstable; urgency=low

  * Fix "preconfiguration fails" Add test to check if brokers-file exist.
    (Closes: #593983)
  * Upgraded standards-version to 3.9.1
  * Removed lintian-overrides; Lintian complained: "unused-override 
    no-upstream-changelog"
  * Add Recommends on bind9-host | dnsutils for the config script. -
    Thanks to Evgeni Golov 
  * debian/aiccu.config:
    + grep for "$RET", not $RET or it will fail on names with spaces. -
    Thanks to Evgeni Golov 

 -- Reinier Haasjes <reinier@haasjes.com>  Thu, 26 Aug 2010 22:09:58 +0200

aiccu (20070115-13) unstable; urgency=low

  * Fix "Package upgrade fails in postinst" Added db_stop to 
    aiccu.postinst (Closes: #574498) - Thanks to Jean-Louis Dupond
  * Added Spanish translation (Closes: #583542) - Thanks to Camaleón
  * Switch to dpkg-source 3.0 (quilt) format

 -- Reinier Haasjes <reinier@haasjes.com>  Sat, 29 May 2010 21:19:43 +0200

aiccu (20070115-12) unstable; urgency=low

  * Lintian clean (Closes: #566910)
  * Fix "setupscript not executed" (Closes: #538129) - Thanks to
    Norman Rasmussen
  * Fix "Should handle empty DNS query responses" Use default brokers
    list if no/empty reply (Closes: #567730)
  * Fix "No status section in aiccu init script" Rewrote init script
    (Closes: #564197)
  * Changed VCS to github.com
  * Upgraded standards-version to 3.8.4
  * Initialize syslog so that we log with our PID as Daemon - Thanks to
    Norman Rasmussen
  * Allow 'tunnels' mode when there's an already running instance - Thanks 
    to Norman Rasmussen

 -- Reinier Haasjes <reinier@haasjes.com>  Sat, 06 Mar 2010 10:08:09 +0100

aiccu (20070115-11) unstable; urgency=low

  * New maintainer. (Closes: #529185: ITA: aiccu -- SixXS Automatic IPv6
    Connectivity Client Utility)
  * Install aiccu.conf to usr/share/aiccu/conf-templates/ 
    and use in postinst (Closes: #559683) - Thanks to Patrick Schoenfeld
  * Fix "leaves password in debconf database" add db_reset to postinst
    (Closes: #512674)

