=== debian/control ===
Source: aiccu
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Reinier Haasjes <reinier@haasjes.com>
Build-Depends: debhelper (>= 7), po-debconf, libgnutls-dev, docbook-to-man
Standards-Version: 3.9.3
Homepage: http://www.sixxs.net/tools/aiccu/
Vcs-Browser: http://github.com/rhaasjes/aiccu
Vcs-Git: git://github.com/rhaasjes/aiccu.git

Package: aiccu
Architecture: linux-any kfreebsd-any
Depends: ${misc:Depends}, ${shlibs:Depends}, debconf, lsb-base, ucf,
 iputils-ping [linux-any],
 iputils-tracepath [linux-any],
 iproute [linux-any],
 freebsd-net-tools [kfreebsd-any]
Recommends: ntpdate | ntp | time-daemon, bind9-host | dnsutils
Description: SixXS Automatic IPv6 Connectivity Client Utility
 This client configures IPv6 connectivity without having to
 manually configure interfaces etc. A SixXS account or an account
 of another supported tunnel broker and at least one tunnel are
 required. These can be freely requested from the SixXS website
 at no cost. For more information about SixXS check their homepage.
