=== debian/watch ===
version=3
http://www.sixxs.net/archive/sixxs/aiccu/unix/aiccu_(\d+)\.tar\.gz
